DtdToHaskell

Safe Haskell | Safe-Infered

Text.XML.HaXml.Html.Generate

Contents

- HTML construction filters
  - Containers
  - Anchors
  - Text style
  - Tables
  - Breaks, lines
  - Attributes
- A simple HTML pretty-printer

Description

These are just some common abbreviations for generating HTML content within the XML transformation framework defined by Text.Xml.HaXml.Combinators.

Synopsis

- html, margin, hspan, hdiv, hcol, hrow, htable, hbold, htt, hem, hcentre, hpre, hpara, h4, h3, h2, h1, hbody, htitle, hhead :: [CFilter i] -> CFilter i
- anchor :: [(String, CFilter i)] -> [CFilter i] -> CFilter i
- makehref, anchorname :: CFilter i -> [CFilter i] -> CFilter i
- parens :: CFilter i -> CFilter i
- bullet :: [CFilter i] -> CFilter i
- hbr, hhr :: CFilter i
- showattr, (?), (!) :: String -> CFilter i
- htmlprint :: [Content i] -> Doc

# HTML construction filters

## Containers

html, margin, hspan, hdiv, hcol, hrow, htable, hbold, htt, hem, hcentre, hpre, hpara, h4, h3, h2, h1, hbody, htitle, hhead :: [CFilter i] -> CFilter i

## Anchors

anchor :: [(String, CFilter i)] -> [CFilter i] -> CFilter i

makehref, anchorname :: CFilter i -> [CFilter i] -> CFilter i

## Text style

parens :: CFilter i -> CFilter i

bullet :: [CFilter i] -> CFilter i

## Tables

## Breaks, lines

hbr, hhr :: CFilter i

## Attributes

showattr, (?), (!) :: String -> CFilter i

# A simple HTML pretty-printer

htmlprint :: [Content i] -> Doc